# Katabatic Documentation

# Katabatic - Routing Toolbox

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- x
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - u -

- unlink() : Session
- unqueue() : GCellDensitySet
- unsetFlags() : AutoSegment , KatabaticEngine
- update() : GCell::Key
- updateContacts() : GCellGrid , GCell
- updateDensity() : GCell , GCellGrid
- updateGeometry() : AutoContact , AutoContactTerminal , AutoContactTurn , AutoContactHTee , AutoContactVTee
- updateKey() : GCell
- updateOrient() : AutoSegment , AutoHorizontal , AutoVertical
- updatePositions() : AutoVertical , AutoSegment , AutoHorizontal
- updateTopology() : AutoContact , AutoContactTerminal , AutoContactTurn , AutoContactVTee , AutoContactHTee